## tdeartwork-trinity 14.1.5

=== kworldclock/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  (C) 2020 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

file( GLOB _themes RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
list( SORT _themes )

foreach( _theme IN LISTS _themes )
  if( IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_theme} AND
      EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}/${_theme}.desktop )
    file( GLOB _map_images RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${_theme}/*.jpg )
    list( SORT _map_images )

    install(
      FILES ${_map_images}
      DESTINATION "${DATA_INSTALL_DIR}/kworldclock/maps/${_theme}"
    )

    tde_create_translated_desktop(
        SOURCE ${_theme}/${_theme}.desktop
        DESTINATION "${DATA_INSTALL_DIR}/kworldclock/maps/${_theme}"
        PO_DIR kworldclock-themes
    )
  endif()
endforeach()

=== tdescreensaver/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kdesavers )
add_subdirectory( tdepartsaver)
add_subdirectory( krootbacking )
if( WITH_XSCREENSAVER )
  add_subdirectory( kxsconfig )
  add_subdirectory( xsavers )
endif( WITH_XSCREENSAVER )

=== emoticons/BoxedEmoticonSet/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    emoticons.xml
    angry.png bigsmile.png confused.png cry.png
    oh.png sad.png shade.png smile.png tongue.png
    wink.png
  DESTINATION ${SHARE_INSTALL_PREFIX}/emoticons/Boxed )

=== emoticons/GroupWise/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    emoticons.xml 
  DESTINATION ${SHARE_INSTALL_PREFIX}/emoticons/GroupWise )

=== emoticons/KMess-Cartoon/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    emoticons.xml
    angel.png angry.png confused.png cry.png
	devil.png embarrassed.png omg.png sad.png
	shade.png smile.png teeth.png tongue.png
	ugly.png wink.png  
  DESTINATION ${SHARE_INSTALL_PREFIX}/emoticons/KMess-Cartoon )

=== icewm-themes/MenschMaschine/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    closeA.xpm closeI.xpm frameAB.xpm
	frameABL.xpm frameABR.xpm frameAL.xpm
	frameAR.xpm frameAT.xpm frameATL.xpm
	frameATR.xpm frameIB.xpm frameIBL.xpm
	frameIBR.xpm frameIL.xpm frameIR.xpm
	frameIT.xpm frameITL.xpm frameITR.xpm
	maximizeA.xpm maximizeI.xpm menuButtonA.xpm
	menuButtonI.xpm minimizeA.xpm minimizeI.xpm
	restoreA.xpm restoreI.xpm titleAB.xpm
	titleAL.xpm titleAM.xpm titleAR.xpm
	titleAT.xpm titleIB.xpm titleIL.xpm
	titleIM.xpm titleIR.xpm titleIT.xpm
	default.theme
  DESTINATION ${DATA_INSTALL_DIR}/twin/icewm-themes/MenschMaschine )

=== styles/dotnet/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DQT_PLUGIN
)

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE dotnet.themerc
  DESTINATION ${DATA_INSTALL_DIR}/tdestyle/themes
  PO_DIR style-themes
)


##### dotnet #####################################

set( target dotnet )

set( ${target}_SRCS
  dotnet.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles
)

=== tdescreensaver/krootbacking/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Slavek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install(
  FILES
    xscreensaver-getimage
    xscreensaver-getimage-file
  DESTINATION ${BIN_INSTALL_DIR}
)

=== twin-styles/cde/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( config )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE cde.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin3_cde ##################################

tde_add_kpart( twin3_cde AUTOMOC
  SOURCES cdeclient.cpp
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== twin-styles/kstep/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE kstep.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin3_kstep ###############################

tde_add_kpart( twin3_kstep AUTOMOC
  SOURCES nextclient.cpp
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== twin-styles/openlook/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE openlook.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin3_openlook ############################

tde_add_kpart( twin3_openlook AUTOMOC
  SOURCES OpenLook.cpp
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== wallpapers/modern-times/CMakeLists.txt ===
#################################################
#
#  (C) 2025 Philippe Mavridis
#  mavridisf (AT) gmail.com
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  (C) 2020 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

file( GLOB _wallpapers RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.svg )
list( SORT _wallpapers)

foreach( _wallpaper IN LISTS _wallpapers )
  install(
    FILES ${_wallpaper}
    DESTINATION ${WALLPAPER_INSTALL_DIR}
  )
  if( EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_wallpaper}.desktop )
    tde_create_translated_desktop(
      SOURCE ${_wallpaper}.desktop
      DESTINATION ${WALLPAPER_INSTALL_DIR}
      PO_DIR wallpapers-desktops
    )
  endif()
endforeach()

=== debian/changelog ===
tdeartwork-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: tdeartwork-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
Build-Conflicts: nvidia-glx
Standards-Version: 3.8.4

Package: tdeartwork-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-trinity (<< 4:14.0.0~)
Depends: ${misc:Depends}, tdeartwork-misc-trinity (>= ${source:Version}), tdeartwork-emoticons-trinity (>= ${source:Version}), tdeartwork-style-trinity (>= ${source:Version}), tdeartwork-theme-icon-trinity (>= ${source:Version}), tdeartwork-theme-window-trinity (>= ${source:Version}), tdewallpapers-trinity (>= ${source:Version}), tdescreensaver-trinity (>= ${source:Version})
Recommends: tdescreensaver-xsavers-trinity
Description: themes, styles and more from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of artistic extras (themes, widget
 styles, screen savers, wallpaper, icons, emoticons and so on) provided
 with the official release of TDE.
 .
 Homepage: http://artist.kde.org 

Package: tdeartwork-emoticons-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-emoticons-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-emoticons-trinity (<< 4:14.0.0~)
Enhances: kopete-trinity
Depends: ${misc:Depends}
Description: emoticon collections for TDE chat clients
 This package contains several collections of emoticons used by official
 and unofficial TDE chat clients, such as Kopete and Konversation.
 .
 This package is part of TDE, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-misc-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-misc-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-misc-trinity (<< 4:14.0.0~)
Suggests: kworldclock
Depends: ${misc:Depends}
Description: various multimedia goodies released with TDE
 This package contains miscellaneous multimedia goodies for TDE.
 Included are additional TDE sounds and kworldclock themes.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-style-trinity
Architecture: any
Section: tde
Replaces: kdeartwork-style-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-style-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget styles released with Trinity
 This package contains additional widget styles for Trinity. Widget styles
 can be used to customise the look and feel of interface components such
 as buttons, scrollbars and so on.  They can be applied using the style
 manager in the Trinity Control Centre.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-theme-icon-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
Recommends: kdesktop-trinity, kicker-trinity
Depends: ${misc:Depends}
Description: icon themes released with Trinity
 This package contains additional icon themes for Trinity. Icon themes can be
 used to customise the appearance of standard icons throughout TDE. They
 can be applied using the icon manager in the Trinity Control Centre.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-theme-window-trinity
Architecture: any
Section: tde
Replaces: kdeartwork-theme-window-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-theme-window-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: window decoration themes released with Trinity
 This package contains additional window decoration themes for Trinity. Window
 decoration themes can be used to customise the look of window borders and
 buttons, and can be applied using the window decoration manager in the Trinity
 Control Center.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdewallpapers-trinity
Architecture: all
Section: tde
Replaces: kdewallpapers-trinity (<< 4:14.0.0~)
Breaks: kdewallpapers-trinity (<< 4:14.0.0~)
Suggests: twin-trinity | x-window-manager
Depends: ${misc:Depends}
Description: wallpapers released with Trinity
 This package contains additional wallpapers for Trinity. Wallpapers can be
 applied using the background manager in the Trinity Control Centre.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-trinity
Architecture: any
Section: tde
Replaces: kscreensaver-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin
Recommends: twin-trinity, tdescreensaver-xsavers-trinity (= ${source:Version})
Description: additional screen savers released with Trinity
 This package contains the screen savers for Trinity. They can be tested and
 selected within the Appearance and Themes section of the Trinity Control
 Center.
 .
 The hooks for the standard xscreensavers are no longer part of this
 package. To select and/or configure the standard xscreensavers through
 the Trinity Control Center, install the separate package tdescreensaver-xsavers.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-xsavers-trinity
Architecture: any
Section: tde
Replaces: kscreensaver-xsavers-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-xsavers-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin, xscreensaver-data
Recommends: twin-trinity, tdescreensaver-trinity (= ${source:Version}), xscreensaver-gl
Suggests: tdescreensaver-xsavers-webcollage-trinity
Description: Trinity hooks for standard xscreensavers
 This package allows a smooth integration of the standard xscreensavers
 into Trinity. With this package installed you can select and/or configure
 the standard xscreensavers through the Appearances and Themes section of
 the Trinity Control Centre.
 .
 Note that this package does not actually contain any screensavers itself.
 For the additional screensavers shipped with Trinity, see the separate package
 tdescreensaver-trinity. This package does depend on the xscreensaver package, and
 recommend the xscreensaver-gl package, as well as contain the necessary
 files to integrate these packages into Trinity.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-xsavers-webcollage-trinity
Architecture: all
Section: tde
Replaces: kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
Depends: ${misc:Depends}, tdescreensaver-xsavers-extra-trinity, miscfiles | wordlist, netpbm
Description: webcollage screensaver Trinity hook
 This package give access to the webcollage screensaver through the Trinity
 screensaver configuration.
 .
 This screensaver downloads random pictures from the internet and creates
 a collage as screensaver.
 .
 IMPORTANT NOTICE: The internet contains all kinds of pictures, some of which
 you might find inappropriate and offensive.
 You are specially discouraged to install this package if you are using 
 your computer in a working environment or in an environment with children.
 .
 If you still want to install this package, please read the file
 /usr/share/doc/tdescreensaver-xsavers-webcollage/README.Debian after the 
 installation.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-xsavers-extra-trinity
Architecture: all
Section: tde
Replaces: kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdescreensaver-xsavers-trinity, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
Recommends: twin-trinity, tdescreensaver-trinity (= ${source:Version})
Description: Trinity hooks for standard xscreensavers
 This package allows a smooth integration of the universe xscreensavers
 into Trinity. With this package installed you can select and/or configure
 the universe xscreensavers through the Appearances and Themes section of
 the Trinity Control Centre.
 .
 Note that this package does not actually contain any screensavers itself.
 For the additional screensavers shipped with TDE, see the separate package
 tdescreensaver.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdeartwork-trinity-dbg (<< 4:14.0.0~)
Breaks: kdeartwork-trinity-dbg (<< 4:14.0.0~)
Depends: ${misc:Depends}, tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdeartwork-trinity
 This package contains the debugging symbols associated with tdeartwork.
 They will automatically be used by gdb for debugging tdeartwork-related
 issues.

## tdeartwork-trinity 14.1.6~pre0

=== debian/changelog ===
tdeartwork-trinity (4:14.1.6~pre0-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for 89c2adc700535f2a652bbf2222a3cb9b80f4f270
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeartwork-trinity 14.1.6~pre1

=== debian/changelog ===
tdeartwork-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b1d3d148d599d5d97b897275b31b527bca1e783e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 29 Nov 2025 11:12:35 +0100

## tdeartwork-trinity 14.1.6~pre3

=== debian/changelog ===
tdeartwork-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 10c79a4722cd9b6da8f3651c39e6366856999509
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:30 +0100

## tdeartwork-trinity 14.1.6~pre4

=== debian/changelog ===
tdeartwork-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 0716c0bc777cebbee382bd419b20dc1b28b417c8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Dec 2025 04:55:56 +0100

## tdeartwork-trinity 14.1.6~pre5

=== debian/changelog ===
tdeartwork-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 168ac27c3979328c5cf7e69fc91ebdfd73be202f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:18:00 +0100

## tdeartwork-trinity 14.1.6~pre7

=== debian/changelog ===
tdeartwork-trinity (4:14.1.6~pre7-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 77bf68aa8ffc66944348dfdca41f7d3e4e6b83a5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:19:23 +0100

## tdeartwork-trinity 14.1.6~pre8

=== debian/changelog ===
tdeartwork-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 77097facbe55112a3c6e1d8511994aeef1ee63f4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:18:01 +0100

## tdeartwork-trinity 14.2.0~pre100

=== emoticons/KMess-Blue/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    emoticons.xml
    angry.png confused.png cry.png
    embarassed.png omg.png sad.png
    shade.png smile.png teeth.png
    tongue.png wink.png
  DESTINATION ${SHARE_INSTALL_PREFIX}/emoticons/KMess-Blue )

=== emoticons/plain/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
	emoticons.xml
    biggrin.png confused.png cry.png oh.png
	smile.png sunglasses.png tongue.png
	unhappy.png wink.png pig.png 
  DESTINATION ${SHARE_INSTALL_PREFIX}/emoticons/Plain )

=== tdescreensaver/kxsconfig/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${X11_LIBRARY_DIR}
)

##### kxsconfig #################################
set( target kxsconfig )

set( ${target}_SRCS
   kxscontrol.cpp kxsitem.cpp kxsxml.cpp kxsconfig.cpp )

tde_add_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeio-shared ${X11_Xt_LIB}
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kxsrun ####################################
set( target kxsrun )

set( ${target}_SRCS
   kxsrun.cpp kxscontrol.cpp kxsitem.cpp kxsxml.cpp )

tde_add_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

##### install desktops ##########################
# code from kde4
file(GLOB _desktopfiles "ScreenSavers/*.desktop" )
string( REPLACE ":" ";" SEARCH_XSCREENSAVER_CONFIG_DIRS "${XSCREENSAVER_CONFIG_DIRS}" )
foreach(_currentdesktopfile ${_desktopfiles})
  string(REGEX REPLACE ".desktop" "" _newitem "${_currentdesktopfile}" )
  #message(STATUS "newItem <${_newitem}>")
  get_filename_component(_screensaverName ${_newitem} NAME_WE)
  #message(STATUS "name without extension <${_screensaverName}>")
  find_file(XSCREENSAVER_FILE_FOUND ${_screensaverName}.xml PATHS ${SEARCH_XSCREENSAVER_CONFIG_DIRS} )
  if(XSCREENSAVER_FILE_FOUND)
    message(STATUS "xscreensaver name ${_screensaverName} found")
  else(XSCREENSAVER_FILE_FOUND)
    message(STATUS "xscreensaver name ${_screensaverName} not found")
  endif(XSCREENSAVER_FILE_FOUND)
  if( XSCREENSAVER_FILE_FOUND OR WITH_ALL_INCLUDED_XSCREENSAVERS )
    tde_create_translated_desktop(
      SOURCE ${_currentdesktopfile}
      DESTINATION ${APPS_INSTALL_DIR}/System/ScreenSavers
      PO_DIR tdescreensaver-desktops
    )
  endif()
  unset(XSCREENSAVER_FILE_FOUND CACHE)
endforeach(_currentdesktopfile ${_desktopfiles})

=== twin-styles/cde/CMakeLists.txt ===
--- 
+++ 
@@ -30,9 +30,9 @@
 )
 
 
-##### twin3_cde ##################################
+##### twin_cde ##################################
 
-tde_add_kpart( twin3_cde AUTOMOC
+tde_add_kpart( twin_cde AUTOMOC
   SOURCES cdeclient.cpp
   LINK tdecorations-shared
   DESTINATION ${PLUGIN_INSTALL_DIR}

=== twin-styles/glow/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( config )
add_subdirectory( themes )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE glow.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin_glow ################################

tde_add_kpart( twin_glow AUTOMOC
  SOURCES glowbutton.cpp glowclient.cpp
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== twin-styles/icewm/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( config )
add_subdirectory( icewm-themes )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE icewm.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin_icewm ###############################

tde_add_kpart( twin_icewm AUTOMOC
  SOURCES icewm.cpp
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== twin-styles/kde1/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE kde1.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin_cde ##################################

tde_add_kpart( twin_kde1 AUTOMOC
  SOURCES kde1client.cpp
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== twin-styles/kstep/CMakeLists.txt ===
--- 
+++ 
@@ -28,9 +28,9 @@
 )
 
 
-##### twin3_kstep ###############################
+##### twin_kstep ###############################
 
-tde_add_kpart( twin3_kstep AUTOMOC
+tde_add_kpart( twin_kstep AUTOMOC
   SOURCES nextclient.cpp
   LINK tdecorations-shared
   DESTINATION ${PLUGIN_INSTALL_DIR}

=== twin-styles/openlook/CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,9 @@
 )
 
 
-##### twin3_openlook ############################
+##### twin_openlook ############################
 
-tde_add_kpart( twin3_openlook AUTOMOC
+tde_add_kpart( twin_openlook AUTOMOC
   SOURCES OpenLook.cpp
   LINK tdecorations-shared
   DESTINATION ${PLUGIN_INSTALL_DIR}

=== twin-styles/riscos/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DQT_PLUGIN
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE riscos.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin_riscos ###############################


set( target twin_riscos )

set( ${target}_SRCS
  AboveButton.cpp Button.cpp
  CloseButton.cpp
  HelpButton.cpp
  IconifyButton.cpp
  LowerButton.cpp
  Manager.cpp
  MaximiseButton.cpp
  Static.cpp
  StickyButton.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== twin-styles/system/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE system.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
  PO_DIR twin-styles-desktops
)


##### twin_system ###############################

tde_add_kpart( twin_system AUTOMOC
  SOURCES systemclient.cpp
  LINK tdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdescreensaver/kdesavers/tdeasciiquarium/CMakeLists.txt ===
include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${TDE_INCLUDE_DIR}
    ${TQT_INCLUDE_DIRS}
)

link_directories(
    ${TQT_LIBRARY_DIRS}
    ${TDE_LIB_DIR}
)


##### tdeasciiquarium (executable)

tde_add_executable( tdeasciiquarium.kss AUTOMOC

  SOURCES
        aasaver.cpp
        screen.cpp
        frame.cpp
        sprite.cpp
        AASaverConfig.kcfgc
        settingswidget.ui
  LINK
     tdecore-shared
     tdeui-shared
     tdescreensaver-shared
		
  DESTINATION ${BIN_INSTALL_DIR}
)
set_source_files_properties( aasaver.cpp PROPERTIES COMPILE_FLAGS -Wno-trigraphs )


##### other data

tde_create_translated_desktop(
      SOURCE tdeasciiquarium.desktop
      DESTINATION ${APPS_INSTALL_DIR}/System/ScreenSavers
      PO_DIR tdescreensaver-desktops
)

=== debian/changelog ===
tdeartwork-trinity (4:14.2.0~pre100-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 2b6e35dcd780f0065f7b0da6e9298818e7ab060a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdeartwork-trinity 14.2.0~pre101

=== debian/changelog ===
tdeartwork-trinity (4:14.2.0~pre101-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for bfa77400bf61b22c8d8b6a65974f50eecd97166a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 12:27:29 +0100

## tdeartwork-trinity 14.2.0~pre103

=== debian/changelog ===
tdeartwork-trinity (4:14.2.0~pre103-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 97b9f043df433766888b9206619e38a4c60eb6fe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:13:07 +0100

## tdeartwork-trinity 14.2.0~pre104

=== debian/changelog ===
tdeartwork-trinity (4:14.2.0~pre104-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for e82ba8fe1860ed3dd55a79fe05cb8a42d70587a7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 24 Dec 2025 10:13:20 +0100

## tdeartwork-trinity 14.2.0~pre105

=== debian/changelog ===
tdeartwork-trinity (4:14.2.0~pre105-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c37794e0e364c603db9721d14ad0263d10b95f50
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:28 +0100

## tdeartwork-trinity 14.2.0~pre107

=== debian/changelog ===
tdeartwork-trinity (4:14.2.0~pre107-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 49a3192b439e5dfeee1240d0aa829135f92b293e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:14:12 +0100

## tdeartwork-trinity 14.2.0~pre108

=== debian/changelog ===
tdeartwork-trinity (4:14.2.0~pre108-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for a4300f4d04b98645b75faf35bb1cc335ce85a4ef
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:13:30 +0100
